
TYPO3.Surf - Bug # 50779

Status: Resolved Priority: Must have
Author: Martin Ficzel Category:
Created: 2013-08-05 Assigned To: Tobias Liebig
Updated: 2013-08-06 Due date:
Subject: Handling of branch option in GitCheckout Task does not work as expected.
Description

Since the last updates the prevoiusly used option "git-checkout-branch" is replaced by "typo3.surf:gitcheckout[branch]" and the option
is remapped internally to the new key.

The code in the AbstractCheckoutTask->resolveSha1 is using the key "branch" in the option array that is handed over by the
taskManager.

The deployment is running but since the option is not read as expected the deployment will always fallback to the master branch
unless the global "branch" option is set. Since this is not what surf itself says can cause serious trouble.

Associated revisions
Revision daf9ad4e - 2013-08-06 11:44 - Martin Ficzel 

[BUGFIX] Fixed a misleading deprecation message and wrong option mapping

The options used in setDeprecatedTaskOptions were misspelled in lowercase where lowerCamelCase is needed. This patch fixes the deprecation
warning and the option mapping for the old options.

Change-Id: I7fa25035cfeec105c21543e383e3fcb0f1487fcc
Fixes: #50779

History
#1 - 2013-08-05 09:56 - Martin Ficzel

To me it looks like an incomplete merge. Is it possible that a change in the option handling was not included in the commit or is still in the
review-process?

#2 - 2013-08-06 11:21 - Martin Ficzel

I found the reason for the problem.

Option "git-checkout-branch" is deprecated and will be removed before Surf 1.0.0. Set option "typo3.surf:gitcheckout[branch]" instead.

The depercation message is misleading since the mentioned option "typo3.surf:gitcheckout[branch]" must be written in CamelCase as
"typo3.surf:gitCheckout[branch]" to have an effect.

So i think this is mostly a documentation bug.

#3 - 2013-08-06 11:44 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22837

#4 - 2013-08-06 12:30 - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:daf9ad4eda93fbf24ec16a8c2252f56191a246f5.
